/**
 * 
 */
package com.article.ldap;

import javax.naming.directory.SearchControls;

import com.novell.ldap.LDAPConnection;

/**
 * @author 		R. Thiru Ganesh Kumar
 * $name: 		LDAPConstants.java     
 * $description:This is the Interface class used to maintain the Constant vales
 * 				of the LDAPConnection.  
 */
public interface LDAPConstants {
	/* This variable contains the value of LDAP login */
	public static final String LDAP_LOGIN_DN = "cn=Manager,o=ldapOrg,c=us";
	/* This variable contains the value of LDAP Connection Port */
	public static int LDAP_CONNECTION_PORT = LDAPConnection.DEFAULT_PORT;
	/* This variable contains the value of LDAP password */
	public static String LDAP_ADMIN_PASSWORD = "secret";
	/* This variable contains the value of LDAP version */
	public static int LDAP_VERSION =  LDAPConnection.LDAP_V3;
	/* This variable contains the value of LDAP host */
	public static String LDAP_HOST = "localhost";
	/* This variable contains the value of JNDI Initial context factory */
	public static String INITIAL_CONTEXT_FACTORY = "com.sun.jndi.ldap.LdapCtxFactory";
	/* This variable contains the value of JNDI LDAP URL */
	public static String PROVIDER_URL = "ldap://" + LDAP_HOST + ":"+ LDAP_CONNECTION_PORT;
	/* This variable contains the value of JNDI LDAP Security authentication */
	public static String SECURITY_AUTHENTICATION = "simple";
	/* This variable contains the value of Novell API Search Scope */
	public static int SCOPE_SUB = LDAPConnection.SCOPE_SUB;
	/* This variable contains the value of JNDI API Search Control Sub tree Scope */
	public static int SUBTREE_SCOPE =  SearchControls.SUBTREE_SCOPE;
}
