/**
 * 
 */
package com.article.ldap.jndi.connection;

import javax.naming.NamingException;
import javax.naming.directory.DirContext;


/**
 * @author 		R. Thiru Ganesh Kumar
 * $name: 		JNDILDAPConnectionManager.java     
 * $description:This is the Interface class used provide the LDAP connection using JNDI API 
 * 				  
 */
public interface JNDILDAPConnectionManager {
	
	/**
	 * This method used to get the DirContext through the JNDI API
	 * @return DirContext
	 * @throws NamingException
	 */
	public DirContext getLDAPDirContext() throws NamingException;
	/**
	 * This method used to disconnect LDAP DirContext Connection
	 * @param dirContext
	 * @throws NamingException
	 */
	public void disConnectLDAPConnection(final DirContext dirContext) throws NamingException;
	
}
