/**
 * 
 */
package com.article.ldap.jndi.connection;

import java.util.Hashtable;

import javax.naming.Context;
import javax.naming.NamingException;
import javax.naming.directory.DirContext;
import javax.naming.directory.InitialDirContext;

import com.article.ldap.LDAPConstants;

/**
 * @author 		R. Thiru Ganesh Kumar
 * $name: 		JNDILDAPConnectionManagerImpl.java     
 * $description:This is the implementation class for JNDILDAPConnectionManager
 * 				  
 */
public class JNDILDAPConnectionManagerImpl implements JNDILDAPConnectionManager {

	/**
	 * This method used to get the DirContext through the JNDI API
	 * @return DirContext
	 * @throws NamingException
	 */
	public DirContext getLDAPDirContext() throws NamingException{
        
		final Hashtable envValues = new Hashtable();
        // Assign the JNDI environment values in Map
		envValues.put(Context.INITIAL_CONTEXT_FACTORY,LDAPConstants.INITIAL_CONTEXT_FACTORY);
        envValues.put(Context.PROVIDER_URL, LDAPConstants.PROVIDER_URL);
        envValues.put(Context.SECURITY_AUTHENTICATION,LDAPConstants.SECURITY_AUTHENTICATION);
        envValues.put(Context.SECURITY_PRINCIPAL,LDAPConstants.LDAP_LOGIN_DN); // specify the username
        envValues.put(Context.SECURITY_CREDENTIALS,LDAPConstants.LDAP_ADMIN_PASSWORD);           // specify the password
        
        return new InitialDirContext(envValues);

	}
	/**
	 * This method used to disconnect LDAP DirContext Connection
	 * @param dirContext
	 * @throws NamingException
	 */
	public void disConnectLDAPConnection(final DirContext dirContext) throws NamingException{
		dirContext.close();
	}

}
