/**
 * 
 */
package com.article.ldap.jndi.examples;

import javax.naming.NamingException;
import javax.naming.directory.DirContext;

import com.article.ldap.jndi.connection.JNDILDAPConnectionManager;
import com.article.ldap.jndi.connection.JNDILDAPConnectionManagerImpl;

/**
 * @author 		R. Thiru Ganesh Kumar
 * $name: 		CreateEntry.java     
 * $description:This example used to create an entry in LDAP Server using JNDI API
 *              adding new entry under people group. 
 * 				  
 */
public class CreateEntry {

	/**
	 * This method used to add en entry in to LDAP Server under people
	 * @param args
	 */

	public static void main(String[] args) {
		final JNDILDAPConnectionManager jndiManager = new JNDILDAPConnectionManagerImpl();
		try{
			final String groupDN ="ou=people,o=ldapOrg,c=us";
			DirContext dirCtx = jndiManager.getLDAPDirContext();
			People people = new People("Thiru","Thiru","Thiru Ganesh","Ramalingam","ou=people","thiru@jndiapi.com"); 
			// The Common name must be equal in Attributes common Name
			dirCtx.bind("cn=Thiru," + groupDN, people);
			System.out.println("** Entry added **");
			jndiManager.disConnectLDAPConnection(dirCtx);
			
		}catch(NamingException exception){
			System.out.println("**** Error ****");
			exception.printStackTrace();
			System.exit(0);
		}
	}

}
