/**
 * 
 */
package com.article.ldap.jndi.examples;

import javax.naming.NamingException;
import javax.naming.directory.DirContext;

import com.article.ldap.jndi.connection.JNDILDAPConnectionManager;
import com.article.ldap.jndi.connection.JNDILDAPConnectionManagerImpl;

/**
 * @author 		R. Thiru Ganesh Kumar
 * $name: 		DeleteEntry.java     
 * $description:This example used to delete an entry in LDAP Server using JNDI API
 *              delete an entry under people group. 
 * 				  
 */
public class DeleteEntry {

	/**
	 * This method used to delete an entry by passing its DN
	 * @param args
	 */
	public static void main(String[] args) {
		
		final JNDILDAPConnectionManager jndiManager = new JNDILDAPConnectionManagerImpl();
		final String groupDN = "cn=Thiru,ou=people,o=ldapOrg,c=us";
		try{
			DirContext dirCtx = jndiManager.getLDAPDirContext();
			dirCtx.destroySubcontext(groupDN);
			jndiManager.disConnectLDAPConnection(dirCtx);
			System.out.println("** Entry deleated **");
			
		}catch(NamingException exception){
			System.out.println("**** Error ****");
			exception.printStackTrace();
			System.exit(0);
		}

	}

}
