/**
 * 
 */
package com.article.ldap.novell.connection;

import com.novell.ldap.LDAPConnection;
import com.novell.ldap.LDAPException;

/**
 * @author 		R. Thiru Ganesh Kumar
 * $name: 		NovellLDAPConnectionManager.java     
 * $description:This is the Interface class used provide the LDAP connection using Novell API 
 * 				  
 */
public interface NovellLDAPConnectionManager {
	
	/**
	 * This method used to get the LDAP Connection through the Novell API
	 * @return LDAPConnection
	 * @throws LDAPException
	 */
	public LDAPConnection getLDAPConnection() throws LDAPException;
	/**
	 * This method used to disconnect LDAP Connection
	 * @param ldapConnection
	 * @throws LDAPException
	 */
	public void disConnectLDAPConnection(final LDAPConnection ldapConnection) throws LDAPException;
	
}
