/**
 * 
 */
package com.article.ldap.novell.connection;

import java.io.UnsupportedEncodingException;

import com.article.ldap.LDAPConstants;
import com.novell.ldap.LDAPConnection;
import com.novell.ldap.LDAPException;

/**
 * @author 		R. Thiru Ganesh Kumar
 * $name: 		NovellLDAPConnectionManagerImpl.java     
 * $description:This is the implementation class for NovellLDAPConnectionManager
 * 				  
 */
public class NovellLDAPConnectionManagerImpl implements
		NovellLDAPConnectionManager {


	/**
	 * This method used to get the LDAP Connection through the Novell API
	 * @return LDAPConnection
	 * @throws LDAPException
	 */
	public LDAPConnection getLDAPConnection() throws LDAPException {
		final LDAPConnection connection = new LDAPConnection();
		connection.connect(LDAPConstants.LDAP_HOST, LDAPConstants.LDAP_CONNECTION_PORT);
		
		try {
			connection.bind(LDAPConstants.LDAP_VERSION, LDAPConstants.LDAP_LOGIN_DN, LDAPConstants.LDAP_ADMIN_PASSWORD.getBytes("UTF8"));
		} catch (UnsupportedEncodingException exception) {
			exception.printStackTrace();
			throw new LDAPException();
		}
		
		return connection;
	}

	/**
	 * This method used to disconnect LDAP Connection
	 * @param ldapConnection
	 */
	public void disConnectLDAPConnection(final LDAPConnection ldapConnection) throws LDAPException {
		
		ldapConnection.disconnect();

	}


}
