/**
 * 
 */
package com.article.ldap.novell.examples;

import com.article.ldap.novell.connection.NovellLDAPConnectionManager;
import com.article.ldap.novell.connection.NovellLDAPConnectionManagerImpl;
import com.novell.ldap.LDAPConnection;
import com.novell.ldap.LDAPException;

/**
 * @author 		R. Thiru Ganesh Kumar
 * $name: 		DeleteEntry.java     
 * $description:This example used to delete an entry in LDAP Server usingNovell API
 *              delete an entry under people group. 
 * 				  
 */
public class DeleteEntry {

	/**
	 * This method used to delete an entry by passing its DN
	 * @param args
	 */
	public static void main(String[] args) {

		final NovellLDAPConnectionManager novellConnManager = new NovellLDAPConnectionManagerImpl();
		final String groupDN = "cn=Thiru,ou=people,o=ldapOrg,c=us";
		try{
			//Get the LDAPConnection
			final LDAPConnection lConn = novellConnManager.getLDAPConnection();
			//Delete
			lConn.delete( groupDN );
			novellConnManager.disConnectLDAPConnection(lConn);
			System.out.println("** Entry deleated **");
		}catch(LDAPException exception){
			System.out.println("**** Error ****");
			exception.printStackTrace();
			System.exit(0);
		}

	}

}
