/**
 * 
 */
package com.article.ldap.novell.examples;

import java.util.ArrayList;
import java.util.Enumeration;
import java.util.List;

import com.article.ldap.novell.connection.NovellLDAPConnectionManager;
import com.article.ldap.novell.connection.NovellLDAPConnectionManagerImpl;
import com.novell.ldap.LDAPConnection;
import com.novell.ldap.LDAPException;
import com.novell.ldap.LDAPObjectClassSchema;
import com.novell.ldap.LDAPSchema;

/**
 * @author 		R. Thiru Ganesh Kumar
 * $name: 		ListSchema.java     
 * $description:This example used to list the Schema present in LDAP Server 
 * 				  
 */
public class ListSchema {

	/**
	 * This main method executes a sample program for Listing schema vales.
	 * @param args
	 */
	public static void main(String[] args) {
		
		NovellLDAPConnectionManager novellConnManager = new NovellLDAPConnectionManagerImpl();
		LDAPSchema schema =null;
		try{
			//Get the LDAPConnection
			LDAPConnection lConn = novellConnManager.getLDAPConnection();
			//Fetch schema from the DN
			schema = lConn.fetchSchema(lConn.getSchemaDN());
		    //Disconnect from LDAP
			novellConnManager.disConnectLDAPConnection(lConn);
		
		}catch(LDAPException exception){
			System.out.println("**** Error ****");
			exception.printStackTrace();
			System.exit(0);
		}
		
		List schemaList = getSchemaList(schema.getObjectClassSchemas());
		System.out.println("**** Schema List ****");
		System.out.println(schemaList);

	}
	
	/**
	 * This private method used to return List of Schema Objects 
	 * @param objectClassSchema
	 * @return List
	 */
	private static final List getSchemaList(final Enumeration objectClassSchema) {
		final List retVal = new ArrayList();
		LDAPObjectClassSchema nextItem = null;
        while (objectClassSchema.hasMoreElements()) {
            nextItem = (LDAPObjectClassSchema)objectClassSchema.nextElement();
            final String[] names = nextItem.getNames();
            for (int i=0; i< names.length; i++)
                retVal.add(names[i]);
        }
		return retVal;
	}

}
